> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Feature Gate Team



## OpenAPI

````yaml /openapi/mio-openapi.json put /api/v1/admin/feature-gates/{name}/teams/{team_id}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/admin/feature-gates/{name}/teams/{team_id}:
    put:
      tags:
        - admin-feature-gates
      summary: Add Feature Gate Team
      operationId: >-
        admin_feature_gates.put_admin_feature_gates_put_admin_feature_gates_by_name_teams_by_team_id
      parameters:
        - in: path
          name: name
          required: true
          schema:
            title: Name
            type: string
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/FeatureGateTeamBody'
        required: true
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiResponse_FeatureGateAttributes_'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    FeatureGateTeamBody:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/FeatureGateTeamData'
      required:
        - data
      title: FeatureGateTeamBody
      type: object
    JsonApiResponse_FeatureGateAttributes_:
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_FeatureGateAttributes_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[FeatureGateAttributes]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    FeatureGateTeamData:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/FeatureGateTeamAttributes'
        id:
          title: Id
          type: string
        type:
          const: feature_gate_teams
          title: Type
          type: string
      required:
        - type
        - id
        - attributes
      title: FeatureGateTeamData
      type: object
    JsonApiResource_FeatureGateAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/FeatureGateAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[FeatureGateAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    FeatureGateTeamAttributes:
      additionalProperties: false
      properties:
        reason:
          maxLength: 2000
          minLength: 1
          title: Reason
          type: string
      required:
        - reason
      title: FeatureGateTeamAttributes
      type: object
    FeatureGateAttributes:
      properties:
        hidden_keys:
          items:
            type: string
          title: Hidden Keys
          type: array
        owner:
          title: Owner
          type: string
        public_schema:
          title: Public Schema
          type: boolean
        removal_ticket:
          title: Removal Ticket
          type: string
        state:
          title: State
          type: string
        teams:
          items:
            type: string
          title: Teams
          type: array
      required:
        - state
        - teams
        - owner
        - removal_ticket
        - hidden_keys
        - public_schema
      title: FeatureGateAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.